Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Forward_Dcl Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Forward_Dcl:

[legend]
Collaboration diagram for TAO_PSDL_Forward_Dcl:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Forward_Dcl (TAO_PSDL_Node *identifier)
| ****************************************************************
| TAO_PSDL_Forward_Dcl (int type, TAO_PSDL_Node *identifier)
virtual | ~TAO_PSDL_Forward_Dcl (void)
int | type (void) const
| Get the value.
TAO_PSDL_Node * | identifier (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.
## Private Attributes
int | type_
| The values.
TAO_PSDL_Node * | identifier_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Forward_Dcl::TAO_PSDL_Forward_Dcl | ( | TAO_PSDL_Node * | identifier | ) |

| ****************************************************************

TAO_PSDL_Forward_Dcl::TAO_PSDL_Forward_Dcl | ( | int | type,
|  | TAO_PSDL_Node * | identifier
| ) |

TAO_PSDL_Forward_Dcl::~TAO_PSDL_Forward_Dcl | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Forward_Dcl::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Forward_Dcl::identifier | ( | void |  | ) | const

int TAO_PSDL_Forward_Dcl::type | ( | void |  | ) | const

| Get the value.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Forward_Dcl::identifier_`[private]`

int TAO_PSDL_Forward_Dcl::type_`[private]`

| The values. Reimplemented from TAO_PSDL_Node.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp